﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace MobileFunction
{
    public class BaseForm : Form
    {
        protected override void OnLoad(EventArgs e)
        {
            try
            {
                base.OnLoad(e);
            }
            catch (Exception ex)
            {
                LogWriter.WriteLog(DateTime.Now.ToString() + "\r\n" + ex.Message + "\r\n" + ex.StackTrace);
                MessageBox.Show("加载出现错误", "错误", MessageBoxButtons.OK, MessageBoxIcon.Hand, MessageBoxDefaultButton.Button1);
                Application.Exit();
            }
        }

        protected override void OnActivated(EventArgs e)
        {
            try
            {
                base.OnActivated(e);
            }
            catch (Exception ex)
            {
                LogWriter.WriteLog(DateTime.Now.ToString() + "\r\n" + ex.Message + "\r\n" + ex.StackTrace);
                MessageBox.Show("应用程序遇到未知异常退出", "错误", MessageBoxButtons.OK, MessageBoxIcon.Hand, MessageBoxDefaultButton.Button1);
                Application.Exit();
            }
        }

        protected override void OnKeyUp(KeyEventArgs e)
        {
            try
            {
                base.OnKeyUp(e);
            }
            catch (Exception ex)
            {
                LogWriter.WriteLog(DateTime.Now.ToString() + "\r\n" + ex.Message + "\r\n" + ex.StackTrace);
                MessageBox.Show("应用程序遇到未知异常退出", "错误", MessageBoxButtons.OK, MessageBoxIcon.Hand, MessageBoxDefaultButton.Button1);
                Application.Exit();
            }
        }

        protected override void OnMouseUp(MouseEventArgs e)
        {
            try
            {
                base.OnMouseUp(e);
            }
            catch (Exception ex)
            {
                LogWriter.WriteLog(DateTime.Now.ToString() + "\r\n" + ex.Message + "\r\n" + ex.StackTrace);
                MessageBox.Show("应用程序遇到未知异常退出", "错误", MessageBoxButtons.OK, MessageBoxIcon.Hand, MessageBoxDefaultButton.Button1);
                Application.Exit();
            }
        }

        protected override void OnPaint(PaintEventArgs e)
        {
            try
            {
                base.OnPaint(e);
            }
            catch (Exception ex)
            {
                LogWriter.WriteLog(DateTime.Now.ToString() + "\r\n" + ex.Message + "\r\n" + ex.StackTrace);
                MessageBox.Show("图像绘制发生错误", "错误", MessageBoxButtons.OK, MessageBoxIcon.Hand, MessageBoxDefaultButton.Button1);
                Application.Exit();
            }
        }

        protected override void OnResize(EventArgs e)
        {
            try
            {
                base.OnResize(e);
            }
            catch (Exception ex)
            {
                LogWriter.WriteLog(DateTime.Now.ToString() + "\r\n" + ex.Message + "\r\n" + ex.StackTrace);
                MessageBox.Show("页面调整时发生错误", "错误", MessageBoxButtons.OK, MessageBoxIcon.Hand, MessageBoxDefaultButton.Button1);
                Application.Exit();
            }
        }
    }
}
